Page 1 of 3

"Official" 2.1.0.1 BUG topic

Posted: Wed Oct 07, 2015 1:27 am
by i2Paq
BUGs should be posted at the OpenCart GitHub Issue tracker.

OpenCart 2.1.0.1

This topic is for clean installs (NO UPGRADE) where issue's occur and you can post your problem here and hopefully your will get an answer.

I will try to sum up all genuine found "bugs" in this start-post.

Re: "Official" 2.1.0.1 BUG topic

Posted: Wed Oct 07, 2015 7:08 pm
by tjsystems
Would like to do that. But most of the issues/pull's are closed without any feedback at all...

Re: "Official" 2.1.0.1 BUG topic

Posted: Wed Oct 07, 2015 9:21 pm
by i2Paq
tjsystems wrote:Would like to do that. But most of the issues/pull's are closed without any feedback at all...
Did you check the: v2.1.0.0 (29.09.2015) and v2.1.0.1 (06.10.2015) Bug & Changelog

Re: "Official" 2.1.0.1 BUG topic

Posted: Thu Oct 08, 2015 1:17 am
by Sm00dE
Little mistake but still mistake

On installation

5. Please make sure you have set the correct permissions on the directories list below.
Directories

/home/*****/domains/*******/public_html/system//storage/cache/

Double // on directory

Re: "Official" 2.1.0.1 BUG topic

Posted: Thu Oct 08, 2015 3:37 am
by tjsystems
Thanks i2paq.

Re: "Official" 2.1.0.1 BUG topic

Posted: Wed Oct 14, 2015 9:24 pm
by iamdevice
after update i can't view orders
i got error

Code: Select all

Class 'Controllerpayment' not found in /***/system/modification/system/engine/loader.php on line 39
Installed mods Journal 2, ADV Profit, Simple Checkout and seo_pro.
My custom mods don't change loader.php

Line 39 has code

Code: Select all

$controller = new $class($this->registry);

Re: "Official" 2.1.0.1 BUG topic

Posted: Sun Oct 18, 2015 2:39 am
by pm-netti
Is this order issue bug:

http://forum.opencart.com/viewtopic.php?f=181&t=152759

This is also one my client.

Re: "Official" 2.1.0.1 BUG topic

Posted: Tue Oct 20, 2015 2:49 pm
by kulak
Clean installation with custom user ID (non admin) resulted in "Permission Denied" for just about every item: "Catalog", Products, profiles, etc.

Re: "Official" 2.1.0.1 BUG topic

Posted: Tue Oct 20, 2015 4:11 pm
by overthroned
Dear All,

So only 5 posts here and tens of fixes in the GitHub.

What is the right way to use 2.1.0.1? How to update?

I can not find any info about this. Will it be 2.1.1.1 with fixes or I should download Master from GitHub to have latest fixes?

Re: "Official" 2.1.0.1 BUG topic

Posted: Wed Oct 21, 2015 1:20 pm
by kulak
kulak wrote:Clean installation with custom user ID (non admin) resulted in "Permission Denied" for just about every item: "Catalog", Products, profiles, etc.
I have reported the issue https://github.com/opencart/opencart/issues/3525

The problem has nothing to do with custom admin name. The same installation procedure works with 2.0.3.1 release, so my newbie status does not apply.

Details are in the report.

Re: "Official" 2.1.0.1 BUG topic

Posted: Wed Oct 21, 2015 4:27 pm
by kulak
kulak wrote:
kulak wrote:Clean installation with custom user ID (non admin) resulted in "Permission Denied" for just about every item: "Catalog", Products, profiles, etc.
I have reported the issue https://github.com/opencart/opencart/issues/3525

The problem has nothing to do with custom admin name. The same installation procedure works with 2.0.3.1 release, so my newbie status does not apply.

Details are in the report.
Reason for issue: Permission system is broken on clean installation if json_decode function is not installed

Re: "Official" 2.1.0.1 BUG topic

Posted: Wed Oct 21, 2015 4:38 pm
by OSWorX
kulak wrote:Reason for issue: Permission system is broken on clean installation if json_decode function is not installed
What strange or old system is that when json_xxxx is not installed/enabled??

Re: "Official" 2.1.0.1 BUG topic

Posted: Wed Oct 21, 2015 10:59 pm
by dwains
I get after 2.1.0.1. fresh install with order edit:
[Exception... "<no message>" nsresult: "0x805e0006 (<unknown>)" location: "JS frame :: https://www.ftestestestt.nl/admin/view/ ... 1.1.min.js :: .send :: line 4" data: no]

Re: "Official" 2.1.0.1 BUG topic

Posted: Thu Oct 22, 2015 6:27 pm
by overthroned
Guys, once again - multiply bugs was reported. What is the guideline to ordinary users to make sure they update/install to latest system with all this bugs fixed?

- 1. install version from http://www.opencart.com/index.php?route ... load_id=42 , and then go trough all the Issue Tracker posts, find commits and apply them to actual system?

- 2. download Master from Github

- 3. wait 2.1.1.1 ....

- 4 ......


Please anybody? I think this is really important question :)
overthroned wrote:Dear All,

So only 5 posts here and tens of fixes in the GitHub.

What is the right way to use 2.1.0.1? How to update?

I can not find any info about this. Will it be 2.1.1.1 with fixes or I should download Master from GitHub to have latest fixes?

Re: "Official" 2.1.0.1 BUG topic

Posted: Fri Oct 23, 2015 2:56 am
by i2Paq
overthroned wrote:Guys, once again - multiply bugs was reported. What is the guideline to ordinary users to make sure they update/install to latest system with all this bugs fixed?

- 1. install version from http://www.opencart.com/index.php?route ... load_id=42 , and then go trough all the Issue Tracker posts, find commits and apply them to actual system?

- 2. download Master from Github

- 3. wait 2.1.1.1 ....

- 4 ......


Please anybody? I think this is really important question :)
overthroned wrote:Dear All,

So only 5 posts here and tens of fixes in the GitHub.

What is the right way to use 2.1.0.1? How to update?

I can not find any info about this. Will it be 2.1.1.1 with fixes or I should download Master from GitHub to have latest fixes?
If you download the latest master from Github you not only get Bugfixes, but also new (and incomplete) changes.

Effortless we tried to get this changed differently.....

Re: "Official" 2.1.0.1 BUG topic

Posted: Fri Oct 23, 2015 3:18 am
by overthroned
i2Paq wrote:
overthroned wrote:Guys, once again - multiply bugs was reported. What is the guideline to ordinary users to make sure they update/install to latest system with all this bugs fixed?

- 1. install version from http://www.opencart.com/index.php?route ... load_id=42 , and then go trough all the Issue Tracker posts, find commits and apply them to actual system?

- 2. download Master from Github

- 3. wait 2.1.1.1 ....

- 4 ......


Please anybody? I think this is really important question :)
overthroned wrote:Dear All,

So only 5 posts here and tens of fixes in the GitHub.

What is the right way to use 2.1.0.1? How to update?

I can not find any info about this. Will it be 2.1.1.1 with fixes or I should download Master from GitHub to have latest fixes?
If you download the latest master from Github you not only get Bugfixes, but also new (and incomplete) changes.

Effortless we tried to get this changed differently.....
Thank you very much for the answer!!

So option 2 is not an option :)

What about option 1 or 3, 4 maybe?

Cheers
O0

Re: "Official" 2.1.0.1 BUG topic

Posted: Fri Oct 23, 2015 4:57 am
by moneycarlo
option 4 is what most of us are doing... :laugh:

Re: "Official" 2.1.0.1 BUG topic

Posted: Fri Oct 23, 2015 3:55 pm
by kulak
OSWorX wrote:
kulak wrote:Reason for issue: Permission system is broken on clean installation if json_decode function is not installed
What strange or old system is that when json_xxxx is not installed/enabled??
The system is not strange and is not old. I originally run into the possibility wit this Stack Overflow answer. It listed Debian has removed PHP JSON due to license incompatibility: http://stackoverflow.com/questions/1823 ... son-decode

However, the system I am running is latest FreeBSD running OpenCart in a jailed environment. That means I am starting with nothing installed and have to explicitly install external dependencies. JSON was not listed as a dependency, but forums discussed issues in 2.1 due to JSON which gave me a clue.

Re: "Official" 2.1.0.1 BUG topic

Posted: Tue Oct 27, 2015 3:16 am
by Qphoria
Coupon History Update still seems to be a bug in 2.1.x:
http://forum.opencart.com/viewtopic.php ... 66#p587666

Re: "Official" 2.1.0.1 BUG topic

Posted: Tue Oct 27, 2015 6:33 pm
by dwains
dwains wrote:I get after 2.1.0.1. fresh install with order edit:
[Exception... "<no message>" nsresult: "0x805e0006 (<unknown>)" location: "JS frame :: https://www.ftestestestt.nl/admin/view/ ... 1.1.min.js :: .send :: line 4" data: no]
how to fix this? Still have this bug.....